| Home | Libraries | People | FAQ | More

## Struct template make_list_member_hook

boost::intrusive::make_list_member_hook

## Synopsis

    template<class... Options>
    struct make_list_member_hook {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a ``list_member_hook` that` yields to the same type when the same options (either explicitly or implicitly) are used.